<?php
/**
 * @version		$Id: tag.php 1492 2012-02-22 17:40:09Z joomlaworks@gmail.com $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2012 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

//function to localised numbers
if (!function_exists('numeric2lang')) {
	function numeric2lang ($number) {
		$number = str_split($number);
		$formated = '';
		foreach($number as $no) $formated.=JText::_('SP_' . $no);
		return $formated;
	}
}
?>

<!-- Start K2 Tag Layout -->
<div id="k2Container" class="tagView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	    <?php if($this->params->get('show_page_title')): ?>
	    <!-- Page title -->
	   <div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	   </div>
	    <?php endif; ?>

	    <?php if($this->params->get('tagFeedIcon',1)): ?>
	    <!-- RSS feed icon -->
	  <div class="k2FeedIcon">
		<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		 <div class="clr"></div>
	  </div>
	<?php endif; ?>

	<?php if(count($this->items)): ?>
  <div class="tagItemList">
		<?php foreach($this->items as $item): ?>

		<!-- Start K2 Item Layout -->
     <div class="tagItemView">

	    <div class="tagItemHeader">
		    <div class="blog_info">
			  <?php if($item->params->get('tagItemDateCreated',1)): ?>
			  <!-- Date created -->
			  <div class="blog-date">
		      <?php 
			  $date_format = JHTML::_('date', @$this->item->created , JText::_('DATE_FORMAT_LC3')); 
			  $final_date = explode(" ",$date_format);
			  $output = "<span class='sp_date_day'>".numeric2lang($final_date[0])."</span>
			  <span class='sp_month_year'>
			  <span class='sp_month'>
			  ".JText::_('SP_' . strtoupper($final_date[1]))."
			  </span>
			  <span class='sp_year'>
			  ".numeric2lang($final_date[2])."
			  </span>
			  </span>";
			  echo $output;
			  ?>
			 </div>
			 <?php endif; ?>
		   </div>	
        </div>		   
			
			  <?php if($item->params->get('tagItemTitle',1)): ?>
			  <!-- Item title -->
			  <h1 class="tagItemTitle">
			  	<?php if ($item->params->get('tagItemTitleLinked',1)): ?>
					<a href="<?php echo $item->link; ?>">
			  		<?php echo $item->title; ?>
			  	</a>
			  	<?php else: ?>
			  	<?php echo $item->title; ?>
			  	<?php endif; ?>
			  </h1>
			  <?php endif; ?>
		      <div class="clr"></div>

		 <div class="tagItemBody">
			  <?php if($item->params->get('tagItemImage',1) && !empty($item->imageGeneric)): ?>
			  <!-- Item Image -->
			  <div class="tagItemImageBlock">
				  <span class="itemImage">
				    <a href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
				    	<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" style="width:<?php echo $item->params->get('itemImageGeneric'); ?>px; height:auto;" />
				    </a>
				  </span>
				  <div class="clr"></div>
			  </div>
			  <?php endif; ?>
			  
			  <?php if($item->params->get('tagItemIntroText',1)): ?>
			  <!-- Item introtext -->
			  <div class="tagItemIntroText">
			  	<?php echo $item->introtext; ?>
			  </div>
			  <?php endif; ?>
				<?php if ($item->params->get('userItemReadMore')): ?>
					<!-- Item "read more..." link -->
				<span class="blog_more_info clearfix">	
					<a class="btn readmore" href="<?php echo $item->link; ?>"><span class="icon-white icon-arrow-left"></span>
						<?php echo JText::_('K2_READ_MORE'); ?>
						<span class="icon-white icon-arrow-right">
					</a>
				</span>	
				<?php endif; ?>	

			  <div class="clr"></div>
		  </div>
		  
		  <div class="clr"></div>
	
		  <?php if($item->params->get('tagItemExtraFields',0) && count($item->extra_fields)): ?>
		  <!-- Item extra fields -->  
		  <div class="tagItemExtraFields">
		  	<h4><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h4>
		  	<ul>
				<?php foreach ($item->extra_fields as $key=>$extraField): ?>
				<?php if($extraField->value): ?>
				<li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
					<span class="tagItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
					<span class="tagItemExtraFieldsValue"><?php echo $extraField->value; ?></span>		
				</li>
				<?php endif; ?>
				<?php endforeach; ?>
				</ul>
		    <div class="clr"></div>
		  </div>
		  <?php endif; ?>

		  <div class="tag_item_info">
			
			<?php if($item->params->get('tagItemCategory')): ?>
			<!-- Item category name -->
			<div class="catItemCategory">
			    <span><?php echo JText::_('K2_PUBLISHED_IN'); ?></span>
				<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
			</div>
			<?php endif; ?>
		 </div>
			<div class="clr"></div>
	  </div>
		<!-- End K2 Item Layout -->
		
		<?php endforeach; ?>
    </div>

	<!-- Pagination -->
	<?php if($this->pagination->getPagesLinks()): ?>
	<div class="pagination">
		<?php if($this->params->get('catPaginationResults')) echo '<p class="counter">' . $this->pagination->getPagesCounter() . '</p>'; ?>
		<?php if($this->params->get('catPagination')) echo $this->pagination->getPagesLinks(); ?>
	</div>
	<?php endif; ?>

	<?php endif; ?>
	
</div>
<!-- End K2 Tag Layout -->
