/*---------------------------------------------------------------
# SP Tab - Next generation tab module for joomla
# ---------------------------------------------------------------
# Author - JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2
# license - CSS  - JS - IMAGE files  are Copyrighted material 
# Websites: http://www.joomshaper.com
-----------------------------------------------------------------*/
var sptabs = new Class({
    Implements: [Options, Events],
    options: {
        className: "sptabs",
        btnPos: "top",
        activator: "click",
        animation: "scroll:fade",
        autoHeight: true,
        fixedHeight: 500,
        fxduration: 400,
        transition: Fx.Transitions.linear,
        tabSelector: ".title",
        tabText: function (a) {
            return a.get("html")
        }
    },
    updateSize: function () {
        this.items_mask.setStyle("width", "100%");
        this.items_mask.setStyle("height", this.options.autoHeight ? this.items[this.current].getHeight() + "px" : this.options.fixedHeight + "px");
        this.tab_items = this.items_mask.getChildren();
        for (i = 0; i < this.tab_items.length; i++) {
            this.tab_items[i].setStyle('width', this.items_mask.getWidth())
        }
    },
    initialize: function (a, b) {
        this.setOptions(b);
        this.container = document.id(a);
        this.items = this.container.getChildren();
        this.tabs = [];
        this.current = 0;
        this.cls = '';
        this.preceding = false;
        this.running = false;
        this.mover = false;
        this.mover_delta = 1;
        this.build();
        window.addEvent('resize', this.updateSize.bind(this));
        this.fireEvent("initialized")
    },
    build: function () {
        var c, b, e, d, a = 0;
        this.container.addClass(this.options.className);
        if (this.options.btnPos == "bottom") {
            this.items_mask = new Element("div", {
                "class": "items_mask"
            }).inject(this.container)
        }
        this.tabs_buttons = new Element("div", {
            "class": "tabs_buttons"
        }).inject(this.container);
        this.tabs_mask = new Element("div", {
            "class": "tabs_mask"
        }).inject(this.tabs_buttons);
        if (this.options.btnPos == "top") {
            this.items_mask = new Element("div", {
                "class": "items_mask"
            }).inject(this.container)
        }
        this.tabs_container = new Element("ul", {
            "class": "tabs_container"
        }).inject(this.tabs_mask);
        for (c = 0; c < this.items.length; c++) {
            if (c == 0) {
                this.cls = "tab first-tab"
            } else {
                this.cls = "tab"
            }
            if (this.options.activator == "hover") {
                this.tabs[c] = new Element("li", {
                    "class": this.cls
                }).set("html", this.options.tabText(this.items[c].getElement(this.options.tabSelector))).inject(this.tabs_container).addEvents({
                    mouseover: this.walk.pass([c], this),
                    mouseenter: function () {
                        this.addClass("tab_over")
                    },
                    mouseleave: function () {
                        this.removeClass("tab_over")
                    }
                })
            } else {
                this.tabs[c] = new Element("li", {
                    "class": this.cls
                }).set("html", this.options.tabText(this.items[c].getElement(this.options.tabSelector))).inject(this.tabs_container).addEvents({
                    click: this.walk.pass([c], this),
                    mouseenter: function () {
                        this.addClass("tab_over")
                    },
                    mouseleave: function () {
                        this.removeClass("tab_over")
                    }
                })
            }
            this.items[c].inject(this.items_mask).setStyles({
                display: "none",
                position: "absolute",
                width: "100%",
                top: "0",
                left: "0"
            });
            a += this.tabs[c].getWidth() + this.tabs[c].getStyle("margin-left").toInt() + this.tabs[c].getStyle("margin-right").toInt()
        }[].each(function (g) {
            for (var f = 0; f < g[0].length; f++) {
                this[g[0][f]].setStyles(g[1])
            }
        }, this);
        this.items[0].setStyle("display", "block");
        this.items_mask.setStyle("width", "100%");
        this.items_mask.setStyle("height", this.options.autoHeight ? this.items[0].getHeight() + "px" : this.options.fixedHeight + "px");
        this.tabs[0].addClass("active")
    },
    displayItem: function (i, j) {
        var ani = this.options.animation.split(':').associate(['type', 'dir']);
        if (!ani.dir) {
            ani.dir = ''
        }
		
		if (ani.type == 'none') {
			this.items[j].setStyle("display", "none");
			this.items[i].setStyle("display", "block");
			this.items_mask.setStyle("height", this.options.autoHeight ? this.items[i].getHeight() : this.options.fixedHeight + "px");
			this.running = false		
		} else if (ani.type == 'fade') {
			var e = this.items_mask.getHeight(),
				c = this.items_mask.getWidth(),
				b = {};
			this.items[j].setStyles({
				"z-index": "0",
				opacity: 1
			});
			this.items[i].setStyles({
				"z-index": "1",
				opacity: 0,
				top: "0",
				left: "0",
				width: c + "px",
				display: "block"
			});
			new Fx.Elements([this.items[j], this.items[i], this.items_mask], {
				duration: this.options.fxduration,
				transition: this.options.transition,
				onComplete: function () {
					this.running = false
				}.bind(this)
			}).start({
				"0": {
					opacity: [1, 0],
					display: 'none'
				},
				"1": Object.merge({
					opacity: [0, 1],
					display: 'block'
				}, b),
				"2": {
					height: [e, this.options.autoHeight ? this.items[i].getHeight() : this.options.fixedHeight]
				}
			})		
		} else {
			var e = this.items_mask.getHeight(),
				c = this.items_mask.getWidth(),
				d = "fade",
				b = {};
				
			this.items[j].setStyles({
				"z-index": "0",
				display: "none"
			});
			this.items[i].setStyles({
				"z-index": "1",
				top: "0",
				left: "0",
				width: c + "px",
				display: "block"
			});
			switch (ani.dir) {
			case "horizontal":
				if (i > j) {
					this.items[i].setStyle("left", c + "px");
					b = {
						left: [c, 0]
					}
				} else {
					this.items[i].setStyle("left", - c + "px");
					b = {
						left: [-c, 0]
					}
				}
				break;
			case "vertical":
				if (i > j) {
					this.items[i].setStyle("top", - e + "px");
					b = {
						top: [-e, 0]
					}
				} else {
					this.items[i].setStyle("top", e + "px");
					b = {
						top: [e, 0]
					}
				}
				break
			}
			new Fx.Elements([this.items[j], this.items[i], this.items_mask], {
				duration: this.options.fxduration,
				transition: this.options.transition,
				onComplete: function () {
					this.running = false
				}.bind(this)
			}).start({
				"0": {
					display: 'none'
				},
				"1": Object.merge({
					display: 'block'
				}, b),
				"2": {
					height: [e, this.options.autoHeight ? this.items[i].getHeight() : this.options.fixedHeight]
				}
			})
		}
    },
    walk: function (a) {
        if (!this.running && this.current !== a) {
            this.running = true;
            this.preceding = this.current;
            this.current = a;
            this.tabs[this.preceding].removeClass("active");
            this.tabs[this.current].addClass("active");
            this.displayItem(this.current, this.preceding);
            this.fireEvent("walk", [this.current, this.preceding])
        }
    }
});